Subject: Re: [Tsvwg] Eifel draft and usage of time-stamps.

From: "sanjay kaniyar" <[email-masked]>
Date: Wed, 09 Jan 2002 17:56:07 -0800

I browsed through 1323 but could not find it speicify that timestamps should 
be sent in every segment, once negotiated. However, I did find the 
following:

"For simplicity and symmetry, we specify that timestamps always be sent and 
echoed in both directions."

Is this what you were referring to? Not sure it implies what you said.

Sanjay

>From: Kacheong Poon <[email-masked]>
>Reply-To: Kacheong Poon <[email-masked]>
>To: sanjay kaniyar <[email-masked]>
>CC: [email-masked], [email-masked]
>Subject: Re: [Tsvwg] Eifel draft and usage of time-stamps.
>Date: Wed, 9 Jan 2002 14:36:43 -0800 (PST)
>
> > Since it is not necessary to timestamp every segment and acknowledgement
> > when timestamp option is enabled on a connection, we could do it only 
>when
> > it is necessary. It is the sender which determines when this is 
>necessary,
> > and the following approach is backwards compatible in the sense that a
> > sender taking this approach would work properly with a receiver adhering 
>to
> > the traditional time-stamping approach and vice-versa.
>
>I may have missed some of the discussions in this thread....  But
>I believe it is specified in RFC 1323 that if timestamp option is
>used, it has to be in every TCP segments sent.  As a matter of fact,
>in Solaris, if one side suddenly stops sending timestamp option,
>the Solaris side will also stop sending it and will ignore future
>timestamp option as it thinks that the other must have some problems
>and the timestamp option may not provide correct info.  So I'm afraid
>your suggestion may not be backward compatibile with RFC 1323.
>
>							K. Poon.
>							[email-masked]
>
>
>
>
>_______________________________________________
>tsvwg mailing list
>[email-masked]
>http://www1.ietf.org/mailman/listinfo/tsvwg

_________________________________________________________________
Chat with friends online, try MSN Messenger: http://messenger.msn.com

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg

---

From: Kacheong Poon <[email-masked]>
Date: Wed, 9 Jan 2002 18:24:37 -0800 (PST)

> be sent in every segment, once negotiated. However, I did find the  >
following: > 
> Is this what you were referring to? Not sure it implies what you said.

Yes.  Well, I intrepret always to be for every segments...  How do you
interpret that?  And I believe all TCP implementations I have encountered
always send a timestamp option in every segments.  As a matter of fact,
I am not sure if the RTTM or PAWS as specified work correctly if timestamp
option is not sent and echoed in every segments...

							K. Poon.
							[email-masked]